import java.awt.*;
import javax.swing.*;
import java.util.*;

/**
 * HelloJavaGame
 */
public class HelloJavaGame {

	/** 自機X */
	private int x = 400;

	/** 自機Y */
	private int y = 500;

	// ボタンを押した回数
	private int countButton = 0;

	/** タイマー */
	private java.util.Timer timerThis = null;

	/**
	 * ここからはじまります。
	 */
	public static void main(String[] args){
		HelloJavaGame hg = new HelloJavaGame();
	}

	/**
	 * コンストラクタ
	 */
	public HelloJavaGame(){

		// フレームを生成
		JFrame frame = new JFrame("Hello Java Game!!");

		// ×ボタンが押されたら、終了する
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		// レイアウト
		frame.setLayout(new BorderLayout());

		// パネルを生成
		JPanel panel = new JPanel();

		// パネルサイズを設定
		panel.setPreferredSize(new Dimension(800, 600));
		// レイアウト設定
		panel.setLayout(null);

		// フレームにパネルを設定
		frame.setContentPane(panel);

		// ラベルを生成
		JLabel label1 = new JLabel("Hello Java Game!!");

		// フォントの設定
		label1.setFont(new Font("ＭＳ ゴシック", Font.BOLD, 24));

		// パネルにラベルを追加
		panel.add(label1);

		// ラベルの位置を設定
		label1.setBounds(100, 100, 300, 30);

		// ラベルを生成
		JLabel label2 = new JLabel("v(^_^)");

		// フォントの設定
		label2.setFont(new Font("ＭＳ ゴシック", Font.BOLD, 48));

		// パネルにラベルを追加
		panel.add(label2);

		// ラベルの色を設定
		label2.setForeground(new Color(255, 96, 0));

		// ラベルの位置を設定
		label2.setBounds(x, y, 300, 50);

		// テキストフィールドの生成
		JTextField field = new JTextField("てきすと");

		// パネルにテキストフィールドを追加
		panel.add(field);

		// テキストフィールドの位置を設定
		field.setBounds(180, 300, 300, 50);

		// ボタンの生成
		JButton button = new JButton("ぼたん");

		// パネルにボタンを追加
		panel.add(button);

		// ボタンの位置を設定
		button.setBounds(180, 400, 300, 50);

		// ボタンを押した
		button.addActionListener((e) -> {
			// カウント数＋１
			countButton++;
			// テキストフィールドに表示
			field.setText("きみ、ボタン、押したね " + countButton + " 回目");
		});

		// フレームを表示
		frame.setVisible(true);
		// サイズを最適化する
		frame.pack();

		// タイマーを生成
		timerThis = new java.util.Timer();

		// タイマーをスタート
		timerThis.scheduleAtFixedRate(new TimerActionListener(), 1l, 4l);

	} // end HelloJavaGame

	/**
	 * 実行
	 */
	public void run(){

		System.out.println("きてるよ");

	} // end run

	/**
	 * タイマークラス
	 */
	private class TimerActionListener extends TimerTask {

		public void run(){

			// 実行メソッド呼び出し
			HelloJavaGame.this.run();

		} // end actionPerformed

	} // end TimerActionListener

}
